#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './editorwidgetui.ui'
**
** Created: Sun Sep 21 18:12:52 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "editorwidgetui.h"

#include <qvariant.h>
#include <klineedit.h>
#include <klistbox.h>
#include <knuminput.h>
#include <kpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a EditorWidget as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
EditorWidget::EditorWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "EditorWidget" );

    levelsGroupBox = new QGroupBox( this, "levelsGroupBox" );
    levelsGroupBox->setGeometry( QRect( 10, 50, 390, 190 ) );

    timeLabel = new QLabel( levelsGroupBox, "timeLabel" );
    timeLabel->setGeometry( QRect( 10, 150, 70, 21 ) );
    timeLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    passwordLineEdit = new KLineEdit( levelsGroupBox, "passwordLineEdit" );
    passwordLineEdit->setGeometry( QRect( 240, 150, 120, 22 ) );
    passwordLineEdit->setMaxLength( 20 );

    passwordLabel = new QLabel( levelsGroupBox, "passwordLabel" );
    passwordLabel->setGeometry( QRect( 160, 150, 70, 21 ) );
    passwordLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    mapsListBox = new KListBox( levelsGroupBox, "mapsListBox" );
    mapsListBox->setGeometry( QRect( 20, 30, 131, 100 ) );

    timeSpinBox = new KIntSpinBox( levelsGroupBox, "timeSpinBox" );
    timeSpinBox->setGeometry( QRect( 90, 150, 51, 21 ) );
    timeSpinBox->setMaxValue( 999 );
    timeSpinBox->setMinValue( 30 );
    timeSpinBox->setLineStep( 10 );

    leveldownPushButton = new KPushButton( levelsGroupBox, "leveldownPushButton" );
    leveldownPushButton->setGeometry( QRect( 280, 90, 80, 25 ) );

    levelupPushButton = new KPushButton( levelsGroupBox, "levelupPushButton" );
    levelupPushButton->setGeometry( QRect( 180, 90, 80, 25 ) );

    newlevelPushButton = new KPushButton( levelsGroupBox, "newlevelPushButton" );
    newlevelPushButton->setGeometry( QRect( 180, 40, 80, 25 ) );

    removelevelPushButton = new KPushButton( levelsGroupBox, "removelevelPushButton" );
    removelevelPushButton->setGeometry( QRect( 280, 40, 80, 25 ) );

    transportGroupBox = new QGroupBox( this, "transportGroupBox" );
    transportGroupBox->setGeometry( QRect( 10, 250, 391, 150 ) );

    transportListBox = new KListBox( transportGroupBox, "transportListBox" );
    transportListBox->setGeometry( QRect( 20, 30, 131, 100 ) );

    removetransportPushButton = new KPushButton( transportGroupBox, "removetransportPushButton" );
    removetransportPushButton->setGeometry( QRect( 280, 40, 80, 25 ) );

    changetransportPushButton = new KPushButton( transportGroupBox, "changetransportPushButton" );
    changetransportPushButton->setGeometry( QRect( 180, 90, 80, 25 ) );

    newtransportPushButton = new KPushButton( transportGroupBox, "newtransportPushButton" );
    newtransportPushButton->setGeometry( QRect( 180, 41, 80, 25 ) );

    nameLineEdit = new KLineEdit( this, "nameLineEdit" );
    nameLineEdit->setGeometry( QRect( 110, 15, 120, 22 ) );
    nameLineEdit->setMaxLength( 20 );

    checkPushButton = new KPushButton( this, "checkPushButton" );
    checkPushButton->setGeometry( QRect( 260, 15, 130, 25 ) );

    nameLabel = new QLabel( this, "nameLabel" );
    nameLabel->setGeometry( QRect( 10, 15, 90, 21 ) );
    nameLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    languageChange();
    resize( QSize(410, 409).expandedTo(minimumSizeHint()) );

    // buddies
    timeLabel->setBuddy( timeSpinBox );
    passwordLabel->setBuddy( passwordLineEdit );
    nameLabel->setBuddy( nameLineEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
EditorWidget::~EditorWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void EditorWidget::languageChange()
{
    setCaption( tr2i18n( "Edit Episode" ) );
    levelsGroupBox->setTitle( tr2i18n( "&Levels" ) );
    timeLabel->setText( tr2i18n( "&Time limit:" ) );
    passwordLabel->setText( tr2i18n( "&Password:" ) );
    leveldownPushButton->setText( tr2i18n( "Move &Down" ) );
    levelupPushButton->setText( tr2i18n( "Move &Up" ) );
    newlevelPushButton->setText( tr2i18n( "&New..." ) );
    removelevelPushButton->setText( tr2i18n( "&Remove" ) );
    transportGroupBox->setTitle( tr2i18n( "Tr&ansporters" ) );
    removetransportPushButton->setText( tr2i18n( "Re&move" ) );
    changetransportPushButton->setText( tr2i18n( "&Change..." ) );
    newtransportPushButton->setText( tr2i18n( "N&ew..." ) );
    checkPushButton->setText( tr2i18n( "Check Consistenc&y" ) );
    nameLabel->setText( tr2i18n( "Ep&isode name:" ) );
}

#include "editorwidgetui.moc"
