////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#ifndef KREPTONED_H
#define KREPTONED_H

#include <kdebug.h>

enum Sprite
{
	// Original Repton sprites.  DO NOT CHANGE THE ORDER!
#define SPRITEOBJ(e, n) e,
#define MAPOBJ(e, n) e,
#include "sprites.h"
#undef SPRITEOBJ
#undef MAPOBJ
	NUM_SPRITES
};

const int num_sprites = NUM_SPRITES;
const int sprite_width = 32;
const int sprite_height = 32;
const int source_width = 8;
const int source_height = 6;

#endif // !KREPTONED_H
