////////////////////////////////////////////////////////////////////////////
//  
//  KReptonEd - editor for Repton levels for KDE
//  
//  Copyright (c) 1998 Sandro Sigala <sandro@sigala.it>
//  Copyright (c) 2003 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

/*
 * The SPRITEOBJ() objects are objects available only in the sprite
 * editor but not in the map editor.
 * The MAPOBJ() objects are available in the two editors.
 */

MAPOBJ(		Sprite_Rock,			"Rock")
MAPOBJ(		Sprite_Diamond,			"Diamond")
MAPOBJ(		Sprite_Ground1, 		"Earth 1")
MAPOBJ(		Sprite_Ground2, 		"Earth 2")
MAPOBJ(		Sprite_Time, 			"Time Bonus")
MAPOBJ(		Sprite_Skull, 			"Dangerous Skull")
MAPOBJ(		Sprite_Empty, 			"Empty")
MAPOBJ(		Sprite_Wall, 			"Wall")
MAPOBJ(		Sprite_Wall_West, 		"Wall W")
MAPOBJ(		Sprite_Wall_East, 		"Wall E")
MAPOBJ(		Sprite_Wall_North, 		"Wall N")
MAPOBJ(		Sprite_Wall_South, 		"Wall S")
MAPOBJ(		Sprite_Wall_North_West, 	"Wall NW")
MAPOBJ(		Sprite_Wall_North_East, 	"Wall NE")
MAPOBJ(		Sprite_Wall_South_West, 	"Wall SW")
MAPOBJ(		Sprite_Wall_South_East, 	"Wall SE")
MAPOBJ(		Sprite_Filled_Wall, 		"Wall 2")
MAPOBJ(		Sprite_Filled_Wall_North_West, 	"Wall 2 NW")
MAPOBJ(		Sprite_Filled_Wall_North_East, 	"Wall 2 NE")
MAPOBJ(		Sprite_Filled_Wall_South_West, 	"Wall 2 SW")
MAPOBJ(		Sprite_Filled_Wall_South_East, 	"Wall 2 SE")
MAPOBJ(		Sprite_Wall_Mirror, 		"Wall 3")
MAPOBJ(		Sprite_Strongbox, 		"Strong Box")
MAPOBJ(		Sprite_Cage, 			"Cage for Spirit")
MAPOBJ(		Sprite_Egg, 			"Monster Egg")
MAPOBJ(		Sprite_Key, 			"Key for Strong Box")
MAPOBJ(		Sprite_Plant, 			"Replicating Plant")
MAPOBJ(		Sprite_Bomb, 			"Finish Object")
MAPOBJ(		Sprite_Transport, 		"Transporter")
MAPOBJ(		Sprite_Crown, 			"Bonus Object")
MAPOBJ(		Sprite_Repton, 			"Repton")
MAPOBJ(		Sprite_Blip, 			"Spirit")

SPRITEOBJ(	Sprite_Blip2, 			"Spirit 2")
SPRITEOBJ(	Sprite_Monster, 		"Monster")
SPRITEOBJ(	Sprite_Monster2, 		"Monster 2")
SPRITEOBJ(	Sprite_Repton_Look_Left, 	"Repton Look Left")
SPRITEOBJ(	Sprite_Repton_Look_Right, 	"Repton Look Right")
SPRITEOBJ(	Sprite_Repton_Go_Right1, 	"Repton Right 1")
SPRITEOBJ(	Sprite_Repton_Go_Right2, 	"Repton Right 2")
SPRITEOBJ(	Sprite_Repton_Go_Right3, 	"Repton Right 3")
SPRITEOBJ(	Sprite_Repton_Go_Right4, 	"Repton Right 4")
SPRITEOBJ(	Sprite_Repton_Go_Left1, 	"Repton Left 1")
SPRITEOBJ(	Sprite_Repton_Go_Left2, 	"Repton Left 2")
SPRITEOBJ(	Sprite_Repton_Go_Left3, 	"Repton Left 3")
SPRITEOBJ(	Sprite_Repton_Go_Left4, 	"Repton Left 4")
SPRITEOBJ(	Sprite_Repton_Go_Up1, 		"Repton Up & Down 1")
SPRITEOBJ(	Sprite_Repton_Go_Up2, 		"Repton Up & Down 2")
SPRITEOBJ(	Sprite_Broken_Egg, 		"Broken Egg")
